--
-- headerTrailer
--
-- @Original-author Knagsted
-- @date 12/11/2010

headerTrailer = {};

function headerTrailer.prerequisitesPresent(specializations)
		Vehicle.registerJointType("cutter");
	return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function headerTrailer:load(xmlFile)
end;

function headerTrailer:delete()
end;

function headerTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function headerTrailer:update(dt)
end;

function headerTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function headerTrailer:draw()
end;

function headerTrailer:onDetach()
	for i=table.getn(self.attachedImplements), 1, -1 do
		self:detachImplement(1);
    end;
end;